aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xpkgconfigdeps.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/pkgconfigdeps.sh b/pkgconfigdeps.sh
index e5d2843..5db0eba 100755
--- a/pkgconfigdeps.sh
+++ b/pkgconfigdeps.sh
@@ -29,7 +29,7 @@ case $1 in
test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1
echo "pkgconfig($n)" "$r" "$v"
done
- test $? -ne 0 && exit 1
+ test ${PIPESTATUS[0]} -ne 0 && exit 1
# The dependency on the pkgconfig package itself.
;;
-R|--requires)
@@ -44,7 +44,7 @@ case $1 in
test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1
echo "pkgconfig($n)" "$r" "$v"
done
- test $? -ne 0 && exit 1
+ test ${PIPESTATUS[0]} -ne 0 && exit 1
;;
esac
exit 0